## uwsgi 2.0.11.2

=== debian/changelog ===
uwsgi (2.0.11.2-6ubuntu1) xenial; urgency=medium

  * Remove uwsgi-mongodb-plugins binary package, since Ubuntu's mongodb does
    not include mongodb-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 30 Dec 2015 21:05:09 +0000

uwsgi (2.0.11.2-6) unstable; urgency=medium

  * Update supported archs for Enable Mono/ASP.NET plugin:
    + Drop powerpc.
    + Add ppc64el.
    Closes: Bug#808507. Thanks to Jo Shields.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Dec 2015 23:07:27 +0530

uwsgi (2.0.11.2-5) unstable; urgency=high

  * Update package relations:
    + Stop uwsgi dependending on initscripts: Needed version satisfied
      even in oldstable, and package is in core.
      Closes: Bug#804965. Thanks to Michael Biebl.
    + Stop uwsgi dependending on lsb-base: Package is in core.
    + Relax uwsgi-emperor to depend unversioned on sysvinit-utils:
      Needed version satisfied even in oldstable.
  * Update supported archs:
    + Drop ppc64el for mono.
      Closes: Bug#804983. Thanks to Emilio Pozuelo Monfort.
  * Set urgency=high as none of the changes affect build compared to
    previous release 2.0.11.2-4, but does affect an ongoing transition.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 13 Nov 2015 14:46:12 +0100

uwsgi (2.0.11.2-4) unstable; urgency=medium

  * Release for unstable.
    Still closes: bug#752783 (like previous experimental release).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 11 Nov 2015 15:11:21 +0100

uwsgi (2.0.11.2-3) experimental; urgency=medium

  * Update Vcs-* hints: Packaging moved to pkg-uwsgi Alioth group.
    Thanks to Riccardo Magliocchetti.
  * Fix build with Ruby 2.2:
    + Add new binary package uwsgi-plugin-rack-ruby2.2.
    + Temporarily tighten build-dependency on ruby-all-dev and ruby to
      versions where ruby2.2 is default, to succeed on sid+experimental
      build environments.
    + Fix old (pre-bug#755779 clarification) assumption that topmost
      listed Ruby kind is the default.
    Closes: Bug#791847. Thanks (again) to Christian Hofstaedtler.
  * Update supported archs:
    + Add ppc64el for mono.
  * Add patch cherry-picked upstream to fix apache 2.4 integration with
    unix domain sockets.
    Closes: bug#752783. Thanks to Alexandre Rossi.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Nov 2015 13:23:36 +0100

uwsgi (2.0.11.2-2) unstable; urgency=medium

  * Add patch cherry-picked upstream fixing pty plugin for the Hurd
    (accidentally broken by patch 1007 removal in 2.0.11.2-1).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Oct 2015 17:10:42 +0200

uwsgi (2.0.11.2-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    Bugfixes:
    + Support TCP_FASTOPEN on OSX 10.11.
    + Fix http-socket parser state after harakiri.
    + Fix threaded request logger.
    + Fix fastrouter subscriptions modifiers.
    + Fix alarm backlog.

  [ Jonas Smedegaard ]
  * Update supported archs:
    + Add mips64el for rados.
  * Enable forkptyrouter plugin on Hurd:
    + Replace patch 1007 with patch cherry-picked upstream.
    + Adjust hints in rules file.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Oct 2015 20:04:04 +0200

uwsgi (2.0.11.1-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    Bugfixes:
    + Fix pypy misuse of ffi.string.
    + Fix detection for gcc 5.
    + Fix shared sockets for gateways.
    + Change psgi abs to labs: offset is declared as a long.
    + Add null terminator to uwsgi_get_dot_h() and uwsgi_config_py().
    + Fix thread waiting during stop/restart.
    + Fix chain reloading verbosity.
    + Fix python spooler job reference counting.
    + Various static analysis improvements.
    + Fix sharedarea support for very big ranges.
    + Fix gzip transformation for zero-sized responses.
    + Fix management of https client certificate authentication.
    + Fix OpenBSD build.
    + Fix TMPFILE permissions.
    + Fix HTTPS router resource deallocation and file descriptors leak.
    + Suppress ssl errors when errno is 0.

    New Features and improvements:
    + Evil memory monitors (like --evil-reload-on-rss) are now
      asynchronously managed by a dedicated thread.
    + New routing action fixpathinfo
    + New routing vars uwsgi[sor] and time[micros].
    + New function wait-for-socket.
    + wait-for-* can now be used as a hook.
    + New hook unix_signal.

  [ Jonas Smedegaard ]
  * Add TODO on auto-enabling core apache proxy module.
  * Fix use only first Ruby kind listed by dh_ruby.
    Closes: bug#788957, #791847. Thanks to Andreas Beckmann, Christian
    Hofstaedtler and Antonio Terceiro.
  * Revert git packaging branch to master.
  * Update package relations:
    + Build-depend on libacl1-dev: Needed by glusterfs-common.
    + Build-depend on libsystemd-dev (with libsystemd-journal-dev only
      as fallback).
  * Update copyright info:
    + List main license as plain GPL-2: (no newer and without linking
      exception): Relaxations are uncertain where they apply if at all.
    + Adjust questionably licensed files to match general license, and
      add comments.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend Files section for GPL-2+ licensed files.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.
  * Remove debian/source/local-options: abort-on-upstream-changes and
    unapply-patches are default in dpkg-source since 1.16.1.
  * Stop build coroae: libcoro-perl is broken (See bug#787500).
  * Limit uwsgi to logrotate only below apps: clash with uwsgi-emperor.
  * Modernize git-buildpackage config: Drop "git-" prefix.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Update supported archs:
    + Drop sparc.
    + Add mips64el (except for luajit or rados).
    + Add hurd-i386 for luajit.
  * Fix declare uwsgi-proxy module-dependency on core proxy module.
    Closes: Bug#785610. Thanks to Joseph Graham.
  * Fix pass die-on-term to emperor init script.

