## uwsgi 2.0.12

=== debian/changelog ===
uwsgi (2.0.12-5ubuntu3) xenial; urgency=medium

  * Build mono bindings on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Apr 2016 10:26:55 +0200

uwsgi (2.0.12-5ubuntu2) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1565906).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 04 Apr 2016 10:19:56 -0700

uwsgi (2.0.12-5ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Remove uwsgi-mongodb-plugins binary package, since Ubuntu's mongodb does
      not include mongodb-dev.
    - Build-depend on gccgo-5; the build systems assumes that every frontend
      is using the same GCC version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 Mar 2016 13:40:58 +0200

uwsgi (2.0.12-5) unstable; urgency=medium

  * Fix avoid fail counting alternatives.
    Closes: Bug#818116. Thanks to Allen Chan.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 14 Mar 2016 02:24:47 +0100

uwsgi (2.0.12-4ubuntu2) xenial; urgency=medium

  * Build-depend on gccgo-5; the build systems assumes that every frontend
    is using the same GCC version.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Mar 2016 10:19:28 +0100

uwsgi (2.0.12-4ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Remove uwsgi-mongodb-plugins binary package, since Ubuntu's mongodb does
      not include mongodb-dev.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Mar 2016 08:33:54 +0100

uwsgi (2.0.12-4) unstable; urgency=medium

  * Build-depend on libzmq5-dev (favored over libzmq3-dev or libzmq-dev,
    kept to ease backporting).
    Enable ØMQ (ZeroMQ) plugins on the Hurd.
  * Add patch cherry-picked upstream to adjust a code indentation
    upsetting upcoming GCC6.
    Closes: Bug#811592. Thanks to Martin Michlmayr and Riccardo
    Magliocchetti.
  * Improve maintainer scripts:
    + Modernize to use $(( )) instead of expr.
    + Use grep -c instead of grep | wc.
    + Double quote to prevent globbing and word splitting.
    + Declare and assign local variables separately to avoid masking
      return values.
    + Use $* instead of $@ to explicitly concatenate where sensible.
    + Fix avoid bogus [] in tr.
    + Drop useless echo around commands.
    + Run shellcheck at build time.
      Build-depend on shellcheck.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Mar 2016 15:51:14 +0100

uwsgi (2.0.12-3) unstable; urgency=medium

  * Fix path to logfiles in logrotate snippet.
    Closes: Bug#815484. Thanks to Michal Čihař.
  * Update package relations:
    + Fix stop have uwsgi-src suggest uwsgi-plugins-all.
  * Declare compliance with Debian Policy 3.9.7.
  * Update Vcs-git field: Use https protocol.
  * Add package uwsgi-plugin-rack-ruby2.3 (and drop
    uwsgi-plugin-rack-ruby2.2).
    Closes: Bug#816315. Thanks to Christian Hofstaedtler.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Mar 2016 14:43:23 +0100

uwsgi (2.0.12-2) unstable; urgency=medium

  * Link against OpenJDK 8 (not 7).
    Closes: Bug#814175. Thanks to Matthias Klose.
  * Drop obsolete section about plugin build routines from
    README.source.
  * Add patch 1010 to support passing precomposed JVM INCLUDES string,
    and fix include arch-specific JVM include (see bug#760301).
  * Build-depend explicitly on java-common: Needed for bug#760301
    (really 0.52.1 of java-common is needed but we instead do not
    strongly rely on it to rease backportability).
  * Introduce new package uwsgi-src, for building plugins triggered by
    separate source package, or locally with custom flags.
  * Add workaround for broken java-common variable resolving (see
    bug#814783).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 15 Feb 2016 12:52:46 +0100

uwsgi (2.0.12-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    Bugfixes:
    + 'rpcvar' routing action correctly returns NEXT on empty response.
    + uwsgiconfig: fix handling of empty keys in python3.
    + plugins/alarm_speech: fix AppKit spelling to support
      case-sensitive filesystems.
    + Fix inheriting INET address 0.0.0.0.
    + core/xmlconf: correctly initialize libxml2.
    + Pass LIBDIR to linker in python plugin.
    + Platforms-related build fixes for pty, forkptyrouter and mono
      plugins.

    New Features and improvements:
    + New custom worker api.
    + New –wsgi-disable-file-wrapper option.
    + PHP 7 support.
    + New uwsgi.spooler_get_task api.
    + New –if-hostname-match option.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Add license header in rules file.
    + Extend copyright of packaging to cover current year.
  * Update package relations:
    + Fix stop depend explicitly on sysvinit-utils: Package is
      essential.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Feb 2016 20:43:24 +0100

uwsgi (2.0.11.2-6ubuntu2) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 25 Jan 2016 11:54:28 +0000
