=== debian/control ===
--- 
+++ 
@@ -12,8 +12,10 @@
  python3,
  debhelper,
  dh-buildinfo,
+ shellcheck,
  apache2-dev | apache2-threaded-dev,
  help2man,
+ java-common,
  javahelper,
  libapr1-dev,
  libaprutil1-dev,
@@ -31,11 +33,11 @@
  libsqlite3-dev,
  libxml2-dev,
  libyaml-dev,
- libzmq3-dev [!hurd-any] | libzmq-dev [!kfreebsd-any !hurd-any],
+ libzmq5-dev | libzmq3-dev [!hurd-any] | libzmq-dev [!kfreebsd-any !hurd-any],
  libsystemd-dev [!kfreebsd-any !hurd-any] | libsystemd-journal-dev [!kfreebsd-any !hurd-any],
- libphp5-embed,
- gccgo [amd64 arm64 armel armhf i386 mips mips64el mipsel powerpc ppc64el s390x],
- php5-dev,
+ libphp-embed,
+ gccgo-5 [amd64 arm64 armel armhf i386 mips mips64el mipsel powerpc ppc64el s390x],
+ php-dev,
  libonig-dev,
  libdb-dev,
  libqdbm-dev,
@@ -57,15 +59,15 @@
  python-greenlet-dev [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
  python-trollius [any],
  python3-all-dev,
- openjdk-7-jdk [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
- mono-devel [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mipsel ppc64el s390x],
- cli-common-dev [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mipsel ppc64el s390x],
+ openjdk-8-jdk [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
+ mono-devel [amd64 armel armhf arm64 i386 kfreebsd-amd64 kfreebsd-i386 mipsel ppc64el s390x],
+ cli-common-dev [amd64 armel armhf arm64 i386 kfreebsd-amd64 kfreebsd-i386 mipsel ppc64el s390x],
  ruby-all-dev | ruby-dev,
  ruby,
  uuid-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://projects.unbit.it/uwsgi/
-Vcs-Git: git://anonscm.debian.org/pkg-uwsgi/uwsgi.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-uwsgi/uwsgi.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-uwsgi/uwsgi.git
 
 Package: uwsgi
@@ -105,6 +107,16 @@
  This package contains the debug symbols for uWSGI core binary and plugins.
  Install this package if you need to debug such a program or if you need a
  useful backtrace of a crash.
+
+Package: uwsgi-src
+Architecture: all
+Section: libdevel
+Depends: ${misc:Depends}
+Description: sources for uWSGI plugins
+ uWSGI presents a complete stack for networked/clustered web applications,
+ implementing message/object passing, caching, RPC and process management.
+ .
+ This package contains the sources for uWSGI plugins.
 
 Package: uwsgi-core
 Architecture: any
@@ -170,7 +182,7 @@
  .
  ${uwsgi:corepluginlist}
  .
- ØMQ (ZeroMQ) plugins, forkptyrouter, systemd and tuntap are provided
+ forkptyrouter, systemd and tuntap are provided
  only on supported architectures.
 
 Package: uwsgi-emperor
@@ -276,17 +288,10 @@
 Package: uwsgi-app-integration-plugins
 Architecture: any
 Depends: ${misc:Depends},
- uwsgi-plugin-jvm-openjdk-7 (= ${binary:Version}) [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
- uwsgi-plugin-jwsgi-openjdk-7 (= ${binary:Version}) [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
- uwsgi-plugin-ring-openjdk-7 (= ${binary:Version}) [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
- uwsgi-plugin-servlet-openjdk-7 (= ${binary:Version}) [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
+ uwsgi-plugin-jvm-openjdk-8 (= ${binary:Version}) [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
+ uwsgi-plugin-jwsgi-openjdk-8 (= ${binary:Version}) [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
+ uwsgi-plugin-ring-openjdk-8 (= ${binary:Version}) [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
+ uwsgi-plugin-servlet-openjdk-8 (= ${binary:Version}) [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
  uwsgi-plugin-lua5.1 (= ${binary:Version}),
  uwsgi-plugin-lua5.2 (= ${binary:Version}),
  uwsgi-plugin-luajit (= ${binary:Version}) [amd64 armel armhf hurd-i386 i386 kfreebsd-i386 mips mipsel powerpc],
- uwsgi-plugin-mono (= ${binary:Version}) [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mipsel ppc64el s390x],
- uwsgi-plugin-gccgo (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips mips64el mipsel powerpc ppc64el s390x],
- uwsgi-plugin-php (= ${binary:Version}),
- uwsgi-plugin-psgi (= ${binary:Version}),
- uwsgi-plugin-python (= ${binary:Version}),
- uwsgi-plugin-python3 (= ${binary:Version}),
- uwsgi-plugin-rack-${uwsgi:RubyKind} (= ${binary:Version}),
