=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,22 @@
 #!/usr/bin/make -f
+# -*- mode: makefile; coding: utf-8 -*-
+# Copyright © 2010 Leonid Borisenko <leo.borisenko@gmail.com>
+# Copyright © 2012-2013 Janos Guljas <janos@debian.org>
+# Copyright © 2013-2016 Jonas Smedegaard <dr@jones.dk>
+# Description: Main Debian packaging script for uWSGI
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 include /usr/share/cdbs/1/rules/buildvars.mk
 
@@ -12,7 +30,10 @@
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/python-module.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/javahelper/java-vars.mk
+
+# TODO: Use only java-common (not java-helper) when bug#814783 is fixed in stable)
+-include /usr/share/javahelper/java-vars.mk
+-include /usr/share/java/java_defaults.mk
 
 # Build-depend unversioned on debhelper
 #  TODO: Drop when adopted in cdbs
@@ -24,7 +45,7 @@
 $(shell sh debian/pkgarchs.sh glusterfs-common > debian/ARCHS_glusterfs)
 $(shell sh debian/pkgarchs.sh python-greenlet-dev > debian/ARCHS_greenlet)
 $(shell sh debian/pkgarchs.sh python-trollius > debian/ARCHS_trollius)
-$(shell sh debian/pkgarchs.sh openjdk-7-jdk > debian/ARCHS_openjdk7)
+$(shell sh debian/pkgarchs.sh openjdk-8-jdk > debian/ARCHS_openjdk8)
 $(shell sh debian/pkgarchs.sh libv8-dev > debian/ARCHS_v8)
 $(shell sh debian/pkgarchs.sh luajit > debian/ARCHS_luajit)
 $(shell sh debian/pkgarchs.sh mongodb-dev > debian/ARCHS_mongodb)
@@ -32,7 +53,7 @@
 $(shell sh debian/pkgarchs.sh librados-dev > debian/ARCHS_rados)
 $(shell sh debian/pkgarchs.sh gccgo > debian/ARCHS_gccgo)
 endif
-UWSGI_ARCHLISTS = glusterfs greenlet trollius openjdk7 v8 luajit mongodb \
+UWSGI_ARCHLISTS = glusterfs greenlet trollius openjdk8 v8 luajit mongodb \
 	mono rados gccgo
 $(foreach list,$(UWSGI_ARCHLISTS),\
 	$(eval UWSGI_ARCHS_$(list) := $(shell cat debian/ARCHS_$(list))))
@@ -58,9 +79,9 @@
 APACHE2_BUILDER := apxs2 -c $(shell apr-config --link-ld) $(shell apu-config --link-ld)
 
 PHP_API := $(shell php-config --phpapi)
-# TODO: Drop this (and its use) when php5-embed ABI is stable in oldstable
-PHP_VERSION := $(shell dpkg-query -W -f '$${Version}' php5-dev)
-# TODO: Drop this (and its use) when php5 5.5.0+dfsg-13 is in oldstable
+# TODO: Drop this (and its use) when php-embed ABI is stable in oldstable
+PHP_VERSION := $(shell dpkg-query -W -f '$${Version}' php-dev)
+# TODO: Drop this (and its use) when php 5.5.0+dfsg-13 is in oldstable
 PHP_SONAME_ALWAYS_CHANGE := $(shell dpkg --compare-versions '$(PHP_VERSION)' '>=' 5.5.0+dfsg-13~ || echo true)
 
 # Python install path for dh_install, as expected by dh_pythonX helpers
@@ -84,8 +105,8 @@
 UWSGI_SRCPLUGINS_python += $(if $(UWSGI_ARCHS_trollius),asyncio)
 UWSGI_SRCPLUGINS_python3 = asyncio
 
-UWSGI_KINDS_java = openjdk-7
-UWSGI_DEFAULTKIND_java = openjdk-7
+UWSGI_KINDS_java = openjdk-8
+UWSGI_DEFAULTKIND_java = openjdk-8
 UWSGI_SRCPLUGINS_java = jvm jwsgi ring servlet
 
 UWSGI_KINDS_lua = lua5.1 lua5.2 luajit
@@ -139,7 +160,7 @@
 UWSGI_SRCPLUGINS_ADDON_MISC = alarm_curl alarm_xmpp curl_cron \
 	emperor_pg fiber gccgo geoip glusterfs graylog2 ldap mono psgi \
 	rados rbthreads router_access sqlite3 v8 php xslt
-# ZeroMQ and tun/tap is unavailable on the Hurd
+# tun/tap is unavailable on the Hurd
 # systemd is available only on linux
 # tuntap plugin broken on kFreeBSD: https://github.com/unbit/uwsgi/issues/695
 UWSGI_SRCPLUGINS_SKIP = \
@@ -147,7 +168,7 @@
 		$(if $(filter-out $(UWSGI_ARCHS_$(list)),$(DEB_HOST_ARCH)),\
 			$(UWSGI_SRCPLUGINS_ARCH_$(list)))) \
 	$(if $(filter hurd,$(DEB_HOST_ARCH_OS)),\
-		$(UWSGI_SRCPLUGINS_ZEROMQ) tuntap) \
+		tuntap) \
 	$(if $(filter kfreebsd,$(DEB_HOST_ARCH_OS)),\
 		tuntap) \
 	$(if $(filter-out linux,$(DEB_HOST_ARCH_OS)),\
@@ -163,34 +184,3 @@
 
 UWSGI_MODULE_INFILES := $(wildcard debian/*__MODULE__*.in)
 
-UWSGI_MODULES_apache = uwsgi ruwsgi proxy-uwsgi
-
-# types of packaging scripts to use (tried from left to right)
-# * pri: binary and library
-# * sec: only binary
-# * aux: only library
-# * *-py: same as above but for (potentially) multiple python flavors
-# * openjdk: non-java code linked against OpenJDK
-# * python: python hooks
-# * single: only one flavor exist
-UWSGI_PKGSCRIPTS_DEFAULT = sec
-UWSGI_PKGSCRIPTS_jvm = openjdk pri
-UWSGI_PKGSCRIPTS_jwsgi = openjdk aux
-UWSGI_PKGSCRIPTS_ring = openjdk aux
-UWSGI_PKGSCRIPTS_servlet = openjdk aux
-UWSGI_PKGSCRIPTS_lua = pri
-UWSGI_PKGSCRIPTS_mono = pri
-UWSGI_PKGSCRIPTS_rack = pri
-UWSGI_PKGSCRIPTS_rbthreads = single aux
-UWSGI_PKGSCRIPTS_fiber = single aux
-UWSGI_PKGSCRIPTS_python = python pri-py pri
-UWSGI_PKGSCRIPTS_gevent = python aux-py aux
-UWSGI_PKGSCRIPTS_greenlet = python aux-py aux
-UWSGI_PKGSCRIPTS_tornado = python aux-py aux
-UWSGI_PKGSCRIPTS_asyncio = python aux-py aux
-
-# Stem-based variables
-# ====================
-
-pkg_name = $(cdbs_curpkg)
-
