=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg// \
http://projects.unbit.it/downloads/uwsgi-(\d[\d\.]+)\.tar\.gz
